Group: Archiving/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat rpm-macros-kde-common-devel
BuildRequires: /usr/bin/desktop-file-install gcc-c++ gettext-tools kde-common-devel pkgconfig(shared-mime-info)
# END SourceDeps(oneline)
Name:           kbackup
Version:        0.8
Release:        alt1_7
Summary:        Back up your data in a simple, user friendly way
Summary(fr):    Sauvegarder vos données de manière simple et conviviale
Summary(ru):    Простое, дружественное к пользователю резервное копирование

License:        GPLv2
Url:            http://www.kde-apps.org/content/show.php?content=44998
Source0:        http://members.aon.at/m.koller/%{name}-%{version}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  kde4libs-devel
Source44: import.info

%description
KBackup is a program that lets you back up any directories or files,
whereby it uses an easy to use directory tree to select the things to back up.
The program was designed to be very simple in its use
so that it can be used by non-computer experts.
The storage format is the well known TAR format, whereby the data
is still stored in compressed format (bzip2 or gzip).

%description -l fr
KBackup est un programme qui vous permet de sauvegarder n'importe quels
fichiers ou répertoires que vous pouvez sélectionner dans une arborescence.
Il a été conçu pour être facile d'utilisation et est donc à la portée des
non-initiés à l'informatique.
Le format de stockage est le très connu format TAR, où les données sont
stockées compressées (bzip2 ou gzip).

%description -l ru
KBackup позволяет делать резервное копирование любых каталогов и файлов,
используя простое представление в виде дерева каталогов для выбора элементов
копирования.
Программа спроектирована очень простой в использовании даже не экспертами в
области компьютеров.
Формат хранения архивов - хорошо известный TAR, форматы сжатия bzip2 или gzip.

%prep
%setup -q

%build
%cmake_kde4
make %{?_smp_mflags}

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/kde4 \
  --add-category "Utility" \
  --add-category "X-KDE-Utilities-File" \
  --remove-category "X-SuSE-Backup" \
  --remove-category "X-MandrivaLinux-System-Archiving-Backup" \
  --remove-category "System" \
  src/%{name}.desktop

%find_lang %{name} --with-kde


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README TODO
%{_K4bindir}/*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}/
%{_K4iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_7
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_6
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_4
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_2
- update to new release by fcimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_6
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_5
- initial fc import

